function pair = matching_parentheis(expr,what)
% in expression expr find the ( parenthesis and their matching )
% what(1) is ( and what(2) is ), what = '()'
% but what may be in fact any pair of symbols like {},[],ab

% pair is a nbr_pairs x 2 matrix,
% one row = [begin end] of pair

% if expr = (a(a)(a))
% pair = [ 3 5; 6 8; 1 9]

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

pair = [];
list = [findstr(expr,what(1))]';

if ~isempty(list)
	w(:,1) = list;
	[n useless] = size(w);
	w(n+1:2*n,1) = [findstr(expr,what(2))]';
	
	w(1:n,2) = -1;
	w(n+1:2*n,2) = 1;
	w = sortrows(w);
	
	
	k2 = 1;
	
	for i=1:n
		while w(k2,2)~= 1
			k2 = k2 + 1;
		end
	
		k1 = k2-1;
		while w(k1,2)~=-1
			k1 = k1 - 1;
		end
	
		pair = [pair;w(k1,1) w(k2,1)];
		w(k1,2) = 0;
		w(k2,2) = 0;
		k2 = k2 + 1;
	end

end
