function foc_out = marginalization_long_foc(foc_in, in_var_ind, out_var_ind,in_var_card)
% marginalization
% input: foc_in a set of focal set as long numbers
% out_var_ind: index variable kept
% foc_out: focal sets after marginalization and packing,

% ONLY for m, wc, wd type, 
% NIC

%
%   Version :Nov 21, 03.
%   Copyright (c) 2003 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global nbr_bit_per_word
nbr_bit_per_word = 50;

order = []; 
% with list_in = 4 7 and list_new = 1 6 9
% pos = [4 7   1 6 9]  The first var in a list is the one that changes the fasted
% [4 7 1 6 9] is the order after performing the reshape below.
% i want results to be on list_out = [1 4 6 7 9]	
% so requested order = [3 1 4 2 5] 
for i = 1:length(out_var_ind)
	order = [order find(out_var_ind(i) == in_var_ind)]; 
end	

order1 = [order setdiff([1:length(in_var_ind)],order)];
nfoc = size(foc_in,1);
card_out = prod(in_var_card(order));
card_in = prod(in_var_card);

a = long_num2bit(foc_in ,card_in);
d = reshape(a, [nfoc in_var_card]);
e = permute(d,[ 1 order1+1 ] );
f = reshape(e,[nfoc,card_out,card_in/card_out] );
g = max(f,[],3);
foc_out  = long_bit2num(g,card_out);
