function frame_do_var(ind_fra)
% build an unindexed variable from a frame

global frame structure mapping attribute variable belief
global pin_frame pin_structure pin_attribute  pin_variable 
global pin_mapping pin_belief 

sname = frame(ind_fra).short_name;
fname = frame(ind_fra).full_name;

new_pin_str = get_next_pin('structure');
i = new_pin_str(2);
if i == 1
	index_object = make_empty('structure',1); % to get all fileds
end	
structure(i).number = new_pin_str(3);
if ~isempty(fname)
	structure(i).full_name = ['S',fname];
else
	structure(i).full_name = [];
end
structure(i).short_name = ['S',sname];
structure(i).most_refined = frame(ind_fra).number;     
structure(i).sub_frames = []; 
structure(i).mapping = [];	
useless = pin_manipulation('structure','all',[]);

new_pin_att = get_next_pin('attribute');
i = new_pin_att(2);
if i == 1
	index_object = make_empty('attribute',1); % to get all fileds
end	
attribute(i).number = new_pin_att(3);   					
if ~isempty(fname)
	attribute(i).full_name = ['A',fname];  			
else
	attribute(i).full_name = [];
end
attribute(i).short_name = ['A',sname];			
attribute(i).structure = new_pin_str(3);                     
attribute(i).index = [];
useless = pin_manipulation('attribute','all',[]);

new_pin_var = get_next_pin('variable');
i = new_pin_var(2);
if i == 1
	index_object = make_empty('variable',1); % to get all fileds
end	
variable(i).number = new_pin_var(3);   						
if ~isempty(fname)
	variable(i).full_name = ['V',fname];  			
else
	variable(i).full_name = [];
end
variable(i).short_name = ['V',sname]; 			
variable(i).attribute = new_pin_att(3);
variable(i).index_value = [];	 
variable(i).frame = frame(ind_fra).number;
useless = pin_manipulation('variable','all',[]);
