function pack_m_wc_wd(ind_bel, ind_pot, ind_for)
% for m, wc, wd results are apcked and representation is seleted, to save place
% m = 0, wc = 1, wd = 1 deleted

%
%   Version : May, 15, 03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global frame structure mapping attribute variable belief

skip = 0;
switch belief(ind_bel).bp(ind_pot).form(ind_for).type
case {'wc','w','wd'}
	% get rid of wc/wd = 1;
	ind_out = find(belief(ind_bel).bp(ind_pot).form(ind_for).values == 1);
case {'m','M'}
	% get rid of 0 masses
	ind_out = find(belief(ind_bel).bp(ind_pot).form(ind_for).values == 0);
otherwise
	skip = 1;
end	

if skip == 0
	switch belief(ind_bel).bp(ind_pot).form(ind_for).representation
	case 'ordered'
		foset = [0:pow2(prod(belief(ind_bel).domain_cardinality))-1]';
	case 'selected'
		foset = belief(ind_bel).bp(ind_pot).form(ind_for).focal_sets;
	end

	if length(ind_out) > 0
		belief(ind_bel).bp(ind_pot).form(ind_for).values(ind_out) = [];
		foset(ind_out,:) = [];
	end
	% store wc final
	belief(ind_bel).bp(ind_pot).form(ind_for).representation = 'selected';
	belief(ind_bel).bp(ind_pot).form(ind_for).focal_sets = foset;
end
