% bit manipulation to find sets
%
% sets are represented by integers, 
% with bit i on if the corresponding element i belongs to the set
% so 3 is the set containing the elements 1 and 2
% so 9 is the set containing the elements 1 and 4
%
% element 1 is rightmost bit.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% yes - no requests		output is 1 if yes, 0 if no
%
% ainb(a,b)			- if set a is in set b,
% aaboveb(a,b)		_ if set a contains set b 
% aintersectb(a,b)	- if set a intersects set b
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% list of sets 			output = [list]
%
% subsets(a)		- list of subsets of a 
% supersets(a,n)	- list of supersets of a in a univers with n elements
% nzandsets(a,n)	- list of sets with non {} intersection with a, n elements
% cardinalities(n_elements)
% 					- produce cardinalities of every subset build from n_elements
% next_sets_below(a, n_elements)
% 					- list of subsets of a with cardinality = cardinality(a) - 1
% next_up_sets(a, n_elements)
% 					- list of next super sets of a where W has n elements
% nzandsets(a,n)	- list of subset of 2^n-1 with non empty intersection with a.
% position_ancestors(list_in,n)
% 					- positions of ancestors of positions in list_in among n elements
% pos_subsets_same_cardi(n_elements)
% sets_eq_cardinal(n, card)
% sets_with_n_elements(n,n_elements)s
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% bits manipulation
%
% bits_on(a)		- list of bits ON is a
% bit2num(bits)		- vector of bit in bits transformed into decimal number
% num2bit(a)		- a transformed in vecotr of bits
% display_bits(in, nbr_bits)
% 					- bits representing those in [in], based on max nbr_bits 
% nbrbiton(n, nbit)	- number of bits among the last nbit of integer vector n
% nbr_bit_on(n,nbit)- is synonimous
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% varia
%
% nbrbiton(n, nbit)	- number of bits among the last nbit of each integer in vector n
% positions_from_bits_on(those_on)
%					- position of data for set made of those bits in those_on
% marg_and_cyl_ext(fixed_var,n,option)
%					- finding position of X1xX2x...xXk sharing same marginals
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% a synthetic request
%
% list_of_sets(a,n,quid)
%					- if quid = 'in'  = subsets(a)
%					- if quid = 'above' = supersets(a,n)
%					- if quid = 'intersect' = nzandsets(a,n)
