function [a] = bit2num(bits)
% transform a vector of 0/1 bits into a decimal number
% bits(1) contains status righmost bit
% beware bitset build a vector with a 1 in position given by bits(i)
% and it does it it for every i, hence by adding we get the final number

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


a = sum(bitset(0,find(bits),1));
