function get_random_m(belief_index,bp_index)
% buildiong bba with random masses.
% will use FMT
% every focal set gets something!!! so beware of cardinality
% up to 10 elements is OK, above speed can badly deteriorate

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

% max 512 masses

global frame structure mapping attribute variable belief

cardinal = prod([belief(belief_index).domain_cardinality]);

nsb = min(cardinal,9);
vect_p = [sort(rand(1,pow2(nsb)-1)) 1];

m = diff([0 vect_p]);

% giving mass a focal set (at random if more 512)
foset = get_n_random_foset(pow2(nsb),cardinal);	

% clear all previous forms
belief(belief_index).bp(bp_index).form = [];

% save new one
belief(belief_index).bp(bp_index).form(1).type = 'm'; 
belief(belief_index).bp(bp_index).form(1).representation = 'selected'; 
belief(belief_index).bp(bp_index).form(1).focal_sets = foset;	
belief(belief_index).bp(bp_index).form(1).values = m';
for i = 1:length(m)
	belief(belief_index).bp(bp_index).form(1).log_expr{i} = '';
end

pack_mass(belief_index,bp_index,1)
