function out = checking_prerequisite
% I verify that things are OK up to here

%
%   Version : Jan 3,03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global preferences_parameters   pathname2TBMLABvers

out = 0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% I verify if Preference folder is present and create it if not 
% if Default_pref not present I create it 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
root_file_name = fullfile(pathname2TBMLABvers,'User_Data','');

cd(root_file_name);
fn = dir;
dirOK = 0;
for i = 1:length(fn)
	if strcmp(fn(i).name,'Preferences_Data') & fn(i).isdir == 1
		dirOK = 1;
	end
end
if dirOK == 0 
	mkdir('Preferences_Data') % directory created
end

pathfn = fullfile(pathname2TBMLABvers,'User_Data','Preferences_Data','');
cd(pathfn);
fnn = dir;
if length(fnn) == 0
	translate_pref_param('from_data_to_vect')
	fn = 'Default_pref';
	save([pathfn,fn],'preferences_parameters') % Default_pref created	
end
cd(pathname2TBMLABvers);

