function setting_gui_default_values
% this force the default value for the object, 
% so we get some coherence between machines

%
%   Version : Dec 3,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global gui_settings
global my_font

% DefaultFigureCloseRequestFcn = 'return'; this kills the closing button 
% the only button still alive is upper right (OS9 the shading, 
% hide or show content of window but keep menu bar)

% pv = new defaults
% pv0 = the initial values so I can reset them when I quit TBMLAB

k = 0;
k=k+1;pn(k) = {'DefaultuicontrolUnits'};			pv(1,k) = {'Normalized'};	pv0(1,k) = {'pixels'};
k=k+1;pn(k) = {'DefaultuicontrolBackgroundColor'};	pv(1,k) = {[1 1 1]};		pv0(1,k) = {[.8 .8 .8]};
k=k+1;pn(k) = {'DefaultFigureMenuBar'};				pv(1,k) = {'none'};			pv0(1,k) = {'figure'};
k=k+1;pn(k) = {'DefaultFigureColor'};				pv(1,k) = {[1 1 1]};		pv0(1,k) = {[.8 .8 .8]};
k=k+1;pn(k) = {'DefaultFigureResize'};				pv(1,k) = {'off'};			pv0(1,k) = {'on'};
k=k+1;pn(k) = {'DefaultFigureCloseRequestFcn'};		pv(1,k) = {'return'};		pv0(1,k) = {'closereq'};
k=k+1;pn(k) = {'DefaultFigureNumberTitle'};			pv(1,k) = {'off'};			pv0(1,k) = {'on'};
% k=k+1;pn(k) = {'DefaultFigureXVisualMode'};pv(1,k) = {'manual'};pv0(1,k) = {'auto'};

% determining default fonts
switch computer
case 'MAC2'
	k=k+1;pn(k) = {'DefaultuicontrolFontSize'};		pv(1,k) = {[10]};			pv0(1,k) = {[10]};			my_font.text.size = pv(1,k);
	k=k+1;pn(k) = {'DefaultuicontrolFontName'};		pv(1,k) = {'FixedWidth'};	pv0(1,k) = {'Geneva'};		my_font.text.name = pv(1,k);
	my_font.title.name = 'Time New Roman';
	my_font.title.size = 18;	
case 'MAC'
	k=k+1;pn(k) = {'DefaultuicontrolFontSize'};		pv(1,k) = {[10]};			pv0(1,k) = {[10]};			my_font.text.size = pv(1,k);
	k=k+1;pn(k) = {'DefaultuicontrolFontName'};		pv(1,k) = {'Time New Roman'};pv0(1,k) = {'Helvetica'};	my_font.text.name = pv(1,k);
	my_font.title.name = 'Time New Roman';
	my_font.title.size = 18;	
case 'PCWIN'
	k=k+1;pn(k) = {'DefaultuicontrolFontSize'};		pv(1,k) = {[9]};			pv0(1,k) = {[12]};			my_font.text.size = pv(1,k);
	k=k+1;pn(k) = {'DefaultuicontrolFontName'};		pv(1,k) = {'Helvetica'};	pv0(1,k) = {'SansSerif'};	my_font.text.name = pv(1,k);
	my_font.title.name = 'Time New Roman';
	my_font.title.size = 18;	
otherwise
	if isunix		
		k=k+1;pn(k) = {'DefaultuicontrolFontSize'};pv(1,k) = {[9]};pv0(1,k) = {[10]};my_font.text.size = pv(1,k);
		k=k+1;pn(k) = {'DefaultuicontrolFontName'};pv(1,k) = {'FixedWidth'};pv0(1,k) = {'Helvetica'};my_font.text.name = pv(1,k);
		my_font.title.name = 'Time New Roman';
		my_font.title.size = 18;	
	else
		k=k+1;pn(k) = {'DefaultuicontrolFontSize'};pv(1,k) = {[9]};pv0(1,k) = {[10]};my_font.text.size = pv(1,k);
		k=k+1;pn(k) = {'DefaultuicontrolFontName'};pv(1,k) = {'FixedWidth'};pv0(1,k) = {'Helvetica'};my_font.text.name = pv(1,k);
		my_font.title.name = 'Time New Roman';
		my_font.title.size = 18;	
	end
end

set(0,pn,pv);
gui_settings.pn_mem = pn;
gui_settings.pv0_mem = pv0;

% 'DefaulFigureUnits','normalized' must be put at uicontrol level
% the problem with 	'DefaultFigureResize','off',... is that the windows are smaller 
% and thus gui_position must be changed.

% somtehing odd with MacOSX. If Geneva, size irrelevant. If Times, size works. 
% It looks as if it looks for available fonts and use what REALLY exists.
