%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% getting the button up down left right (those needed), quit_store, cancel_no_store
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% fontsize for Which_Courier
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global Which_Courier

% fontsize for Which_Courier
ftn = Which_Courier;
switch computer
case 'MAC2'
	ftsz = 10;	
otherwise
	ftsz = 9;
end

% for 1024 screen pack buttons
global screen_size
scr = screen_size;
if scr(4) <= 1025
	smscr = 1;
else
	smscr = 0;
end
% the external frame
hd_buttons(1) = uicontrol(hd_fig,...
'fontname',ftn,'fontsize',ftsz,'units','pixels',...
'style','frame','position',[1 1  width_window-2  height_control-2] ,...
'backgroundcolor',[.7 .7 .7]);	

% the buttons left right up down
hd_buttons(2) = uicontrol(hd_fig,...
'fontname',ftn,'fontsize',ftsz,'units','pixels',...
'style','pushbutton',...
'position',[20 (height_control-button_size(2))/2 button_size(1) button_size(2)],...
'backgroundcolor',butcolor,...
'CallBack','set(gco,''userdata'',''ok'');general_clb(1);',...
'string','Left');	
hd_buttons(3) = uicontrol(hd_fig,...
'fontname',ftn,'fontsize',ftsz,'units','pixels',...
'style','pushbutton',...
'position',[90 height_control/2+.2*button_size(2) button_size(1) button_size(2)],...
'backgroundcolor',butcolor,...
'CallBack','set(gco,''userdata'',''ok'');general_clb(2);',...
'string','Up');	
hd_buttons(4) = uicontrol(hd_fig,...
'fontname',ftn,'fontsize',ftsz,'units','pixels',...
'style','pushbutton',...
'position',[90 height_control/2-1.2*button_size(2) button_size(1) button_size(2)],...
'backgroundcolor',butcolor,...
'CallBack','set(gco,''userdata'',''ok'');general_clb(3);',...
'string','Down');	
hd_buttons(5) = uicontrol(hd_fig,...
'fontname',ftn,'fontsize',ftsz,'units','pixels',...
'style','pushbutton',...
'position',[160 (height_control-button_size(2))/2 button_size(1) button_size(2)],...
'backgroundcolor',butcolor,...
'CallBack','set(gco,''userdata'',''ok'');general_clb(4);',...
'string','Right');	

% the buttons with cancel 
hd_buttons(6) = uicontrol(hd_fig,...
'fontname',ftn,'fontsize',ftsz,'units','pixels',...
'style','pushbutton',...
'position',[240 (height_control/2-button_size(2)-2) button_size(1) button_size(2)],...
'backgroundcolor',butcolor,...
'CallBack','set(gco,''userdata'',''ok'');general_clb(6);',...
'string','Cancel');

% (height_control-button_size(2))/2

hd_buttons(7) = uicontrol(hd_fig,...
'fontname',ftn,'fontsize',ftsz,'units','pixels',...
'style','pushbutton',...
'position',[315 (height_control/2-button_size(2)-2) button_size(1) button_size(2)],...
'backgroundcolor','w',...
'CallBack','',...
'string',['#=',num2str(nbr_shown)]);	

if what_case == 1 % only the bba, not several forms, this can be edited
	
	% the Add button
	hd_buttons(8) = uicontrol(hd_fig,...
	'fontname',ftn,'fontsize',ftsz,'units','pixels',...
	'style','pushbutton',...
	'position',[240 (height_control/2+2) button_size(1) button_size(2)],...
	'backgroundcolor',butcolor,...
	'CallBack','set(gco,''userdata'',''ok'');general_clb(5);',...
	'string','Add');
	
	% the right text frame
	hd_buttons(9) = uicontrol(hd_fig,...
	'fontname',ftn,'fontsize',ftsz,'units','pixels',...
	'style','frame',...
	'position',[390 3 width_window-394  height_control-6],...
	'backgroundcolor',[1 1 1]);	
	
	% the right text 
	text = {' Mass: click on mass to modify, select box, enter new mass.',...
	' Elements: x = belongs to focal set. Click on x and . to switch in/out status.',...
	' Directions: get other screens. Remove focal set = put mass = 0.',...
	' Quit: new data stored. Cancel: keep old data. Add: extra focal set, fill data.'};
	hd_buttons(10) = uicontrol(hd_fig,...
	'fontname',ftn,'fontsize',ftsz,'units','pixels',...
	'style','text',...
	'position',[391 4  width_window-395  height_control-8],...
	'HorizontalAlignment','Left',...
	'backgroundcolor',[1 1 1]);	
	
	set(hd_buttons(10),'string',textwrap(hd_buttons(10),text));
end
