% Object editor  delete
choice_del = flag_str;

skip_me = 0;
switch choice_del
case 'Delete_Frame' % frame
	hd_list_now = hd_list(1,:);
	objt = 'frame';
	max_num = nbr_fra;
	set_list_selection(hd_list, [2,0,0,0]) % 2 = many
case 'Delete_Structure' % structure
	hd_list_now = hd_list_str;
	objt = 'structure';
	max_num = nbr_str;
	set_list_selection(hd_list, [0,2,0,0])
case 'Delete_Attribute' % attribute
	hd_list_now = hd_list_att;
	objt = 'attribute';
	max_num = nbr_att;
	set_list_selection(hd_list, [0,0,2,0])
case 'Delete_Variable' % variable
	hd_list_now = hd_list_var;
	objt = 'variable';
	max_num = nbr_var;
	set_list_selection(hd_list, [0,0,0,2])
end
if skip_me == 0
	textind = ['Select those objects to be deleted in ',objt,' list.'];
	choice_del2 = text_with_n_buttons(hd_full_scr_fig,textind,{'Done','Cancel'},[]);
	if choice_del2 == 1
		% showing all those that will be deleted
		select = get(hd_list_now(2),'Value');
		select_list(hd_list_now,'off','many');
		which_object = pin_manipulation(objt,'pos2num',select);
		
		%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		% the real area where one determines the objects to be deleted
		%
		param_out = deleting_objects(objt, which_object);	
		%
		%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		
		del_fra_ind_mem = param_out{1};
		del_str_ind_mem = param_out{2};
		del_map_ind_mem = param_out{3};
		del_att_ind_mem = param_out{4};
		del_var_ind_mem = param_out{5};
		del_bel_ind_mem = param_out{6};	
		
		% showing deleted obejcts
		set(hd_list(1,2),'enable','on','max',1000,'value',pin_manipulation('frame','ind2pos',param_out{1}));
		set(hd_list(2,2),'enable','on','max',1000,'value',pin_manipulation('structure','ind2pos',param_out{2}));
		set(hd_list(3,2),'enable','on','max',1000,'value',pin_manipulation('attribute','ind2pos',param_out{4}));
		set(hd_list(4,2),'enable','on','max',1000,'value',pin_manipulation('variable','ind2pos',param_out{5}));
		
		% confirm
		choice_del3 = text_with_n_buttons(hd_full_scr_fig,...
		'Objects to be deleted are selected. Confirm deletion',{'Do It','Cancel'},[]);			
		
		if choice_del3 == 1	
			% deleting what must be so
			if length(del_fra_ind_mem);   	frame(del_fra_ind_mem) = [];     	end
			if length(del_str_ind_mem);  	structure(del_str_ind_mem) = []; 	end
			if length(del_map_ind_mem); 	mapping(del_map_ind_mem) = []; 		end
			if length(del_att_ind_mem); 	attribute(del_att_ind_mem) = []; 	end
			if length(del_var_ind_mem); 	variable(del_var_ind_mem) = []; 	end
			if length(del_bel_ind_mem); 	belief(del_bel_ind_mem) = []; 		end	
			
			% rebuilding the pin tables
			get_all_pin_tables;
			
			% refresh all list
			delete(hd_list);
			hd_list(1,:) = listing_existing('frame', 	 gui_pos(:,1), hd_full_scr_fig,[]);
			hd_list(2,:) = listing_existing('structure',  gui_pos(:,2), hd_full_scr_fig,[]);
			hd_list(3,:) = listing_existing('attribute',  gui_pos(:,3), hd_full_scr_fig,[]);
			hd_list(4,:) = listing_existing('variable',	 gui_pos(:,4), hd_full_scr_fig,[]);
			
			nbr_fra = length(frame);
			nbr_str = length(structure);
			nbr_att = length(attribute);
			nbr_var = length(variable);				
			% the get a new one is still there
			
			if nbr_fra; 	exist_fra = 1; else ; exist_fra = 0; end
			if nbr_str; 	exist_str = 1; else ; exist_str = 0; end
			if nbr_att; 	exist_att = 1; else ; exist_att = 0; end
			if nbr_var; 	exist_var = 1; else ; exist_var = 0; end
			
		end
	end		
end	
set_list_selection(hd_list, [0,0,0,0])
