% object editor   case FRAME

global infinity

% if Frame (hit panel) , must know if new or edit
% if New menu
% if Edit menu

switch option
case 'Frame'
	choicex = text_with_n_buttons(gcf,'Frame object. For Edit, first select it, then click on Edit.',{'New','Edit','Cancel'}, []);
	switch choicex 
	case 1
		option = 'New_Frame';
		skip_it = 0;
	case 2
		option = 'Edit_Frame';
		skip_it = 0;
	case 3
		skip_it = 1; % I do nothing and leave
	end	
case 'New_Frame'
	skip_it = 0;
case 'Edit_Frame'
	skip_it = 0;
end

if skip_it == 0
	% you ask edit and there is NO frmaes, I made it new
	if strcmp(option,'Edit_Frame') & exist_fra == 0
		option = 'New_Frame';
		sel_val = -1; % new case
	end

	if strcmp(option,'Edit_Frame')
		sel_val = [];
		choicex = 1;
		while length(sel_val) == 0 & choicex == 1
			choicex = text_with_n_buttons(gcf,'Select ONE Frame object, then Done',{'Done','Cancel'}, []);
			if choicex == 1
				sel_val = get(hd_list(1,2),'value');
			end
		end
		ind_fra = pin_manipulation('frame','pos2ind',sel_val);
		object = frame(ind_fra);
		new_one = 0;		
	else % new object
		sel_val = -1;
		ind_fra = make_empty('frame');
		object = frame(ind_fra);
		% updating pin_frame	
		useless = pin_manipulation('frame','all',[]);			
		new_one = 1;	
	end

	title = 'FRAME.';
	k = 0;
	k=k+1;querry{k} = 'short name';
	k=k+1;querry{k} = 'full name (= short if blank)';
	k=k+1;querry{k} = ['variable type (', cclick,')'];
	k=k+1;querry{k} = 'cardinality #';
	% cclick = what Mac Pc wait for
	
	k = 0;
	k=k+1;default_answer{k} = object.short_name;
	if strcmp(object.short_name,object.full_name)
		k=k+1;default_answer{k} = '';
	else
		k=k+1;default_answer{k} = object.full_name;
	end
	k=k+1;default_answer{k} = object.type;
	k=k+1;default_answer{k} = num2str(object.cardinality);
	
	MenuData(1).number = 3;
	ikk = 0;
	ikk = ikk + 1;
	MenuData(1).label{ikk} ='Logical';
	MenuData(1).clb{ikk} = 'callback_typeX(0)';
	ikk = ikk + 1;
	MenuData(1).label{ikk} ='Binary';
	MenuData(1).clb{ikk} = 'callback_typeX(1)';
	ikk = ikk + 1;
	MenuData(1).label{ikk} ='Classes_Un_ordered';
	MenuData(1).clb{ikk} = 'callback_typeX(2)';
	ikk = ikk + 1;
	MenuData(1).label{ikk} ='Classes_Ordered';
	MenuData(1).clb{ikk} = 'callback_typeX(3)';
	ikk = ikk + 1;
	MenuData(1).label{ikk} ='Integers';
	MenuData(1).clb{ikk} = 'callback_typeX(4)';
	ikk = ikk + 1;
	MenuData(1).label{ikk} ='Continuous';
	MenuData(1).clb{ikk} = 'callback_typeX(6)';
	
	[answer,choice] = dialog_queries(hd_full_scr_fig,title,querry,default_answer,[.005 .005],MenuData,2,[],[],0,' ');
	clear querry default_answer
	
	if choice == 2 % we cancel
		% delete new one, keep old one as it was.
		if new_one == 1
			frame(ind_fra) = [];
		end
	else % we procceed
		% handling names and number
		if isempty(answer{1})
			answer{1} = ['F',num2str(object.number)];
		end
		object.short_name = answer{1};
		if isempty(answer{2})
			object.full_name = answer{1};
		else
			object.full_name = answer{2};
		end
		% the type
		object.type = ddblank(answer{3});
		nbr_elem = str2num(answer{4});
		% if type changed or if cardinality changed, make it as a new one
		if ~strcmp(object.type,frame(ind_fra).type) | nbr_elem ~= frame(ind_fra).cardinality | new_one 
			changed = 1;
		else
			changed = 0;
		end
	
		choice2 = 1;		
		switch object.type 
		case 'Logical'			
			object.min = [];
			object.max = [];
			object.cardinality = 2;
			object.elements = strvcat({'F','T'});			
		case {'Binary','Classes_Un_ordered','Classes_Ordered'}
			if changed == 1;
				object_def = default_labels_elements(object.type,nbr_elem);		
				object.min = object_def.min;
				object.max = object_def.max;
				object.cardinality = object_def.cardinality;
				object.elements = object_def.elements;
			end
			tifra1 = 'element names';
			for i = 1:nbr_elem
				qufra1{i} = ['Element ',num2str(i)];
				dafra1{i} = object.elements(i,:);	
			end
			[answer1,choice2] = dialog_queries(hd_full_scr_fig,tifra1,qufra1,dafra1,[.005 .005],[],2,[],[],0,' ');
			clear qufra1 dafra1			
			if choice2 == 1
				object.elements = strvcat(answer1);
			end			
		
		case {'Integers','Continuous'} 
	
			tifra1 = 'Domain limits. (Infinity = inf = infinite).';
			qufra1{1} = 'min';
			qufra1{2} = 'max';		
			if new_one
				if strcmp(object.type,'Integers')
					dafra1{1} = '0';
				else
					dafra1{1} = '-infinity';
				end
				dafra1{2} = 'infinity';
			else
				dafra1{1} = object.min;
				dafra1{2} = object.max;		
			end
		
			[answer1,choice2] = dialog_queries(hd_full_scr_fig,tifra1,qufra1,dafra1,[.005 .005],[],2,[],[],0,' ');
			clear qufra1 dafra1	
			
			if choice2 == 1
				inff = 0;
				answ = strrep(answer1{1},' ','');
				if ismember(answ,{'-inf','-infinity','-infinite'})
					object.min = -infinity; 
					inff = 1;					
				else	
					object.min = str2infinity(answer1{1});
				end
				answ = strrep(answer1{2},' ','');		
				if ismember(answ,{'inf','infinity','infinite'})
					object.max = infinity; 
					inff = 1;
				else	
					object.max = str2infinity(answer1{1});
				end
				object.max = str2infinity(answer1{2});
				
				if object.max <= object.min % wrong
					hdw = warndlg('min kis larger then max! I cancel.')
					uiwait(hdw)
					choice2 = 2; % cancelling
				end			
				% object.elements = strvcat(num2str([object.min:object.max]')); 
				if inff == 1
					object.cardinality = infinity;
				else
					object.cardinality = object.max - object.min + 1;
				end
			end
			object.elements = []; 
		end % switch object.type
	
		if choice2 == 2 % we  cancel
			% delete new one, keep old one as it was.
			if new_one == 1
				frame(ind_fra) = [];
			end
		else % we did not cancel, we store results
	
			% beware defining frame ... as global implies frame exists and is [] (double)
			% and frame = object would be Ok, but not frame(1) = object
			% the tric is to say frame = object the first time, then frame(2) = object...
			% but we  prefer using put_in_fields
			
			frame(ind_fra) = put_in_fields(object,frame(ind_fra)); % frame data saved
			exist_fra = 1;		
			if new_one 
				nbr_fra = nbr_fra + 1;
			end
		
			% updating pin_frame	
			useless = pin_manipulation('frame','all',[]);
			% refreshing  frame list
			delete(hd_list(1,:));
			hd_list(1,:) = listing_existing('frame', gui_pos(:,1), hd_full_scr_fig,[]);
			
			% creating str/att/var if asked for
			if new_one == 1
				text = 'Creating structure, attribute, variable based on this frame?';
				choice_next = text_with_n_buttons(hd_full_scr_fig, text, {'Yes','No'}, []);
				
				if choice_next == 1  % = build var un indexed
					
					%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
					% building the other objects
					%
					frame_do_var(ind_fra)
					%
					%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
					
					nbr_str = nbr_str + 1;
					exist_str = 1;
					% refreshing  structure list
					delete(hd_list(2,:));
					hd_list(2,:) = listing_existing('structure', gui_pos(:,2), hd_full_scr_fig,[]);						
					
					nbr_att = nbr_att + 1;
					exist_att = 1;
					% refreshing  attribute list
					delete(hd_list(3,:));
					hd_list(3,:) = listing_existing('attribute', gui_pos(:,3), hd_full_scr_fig,[]);	
					
					nbr_var = nbr_var + 1;
					exist_var = 1;
					% refreshing  variable list
					delete(hd_list(4,:));
					hd_list(4,:) = listing_existing('variable', gui_pos(:,4), hd_full_scr_fig,[]);						
					
				end % if choice_next == 1	
			end % if new_one == 1
		end % if choice2 == 1
	end % if choice == 1
end % skip_it
