% attribute case
if isempty(which_object{2})
	switch upper(text_line(1:4))
	case 'ASHN'
		attribute(ind_att).short_name = ddblank(ASHN);
		attribute(ind_att).full_name = ASHN;
	case 'AFLN'
		attribute(ind_att).full_name = AFLN;
	case 'ASTR'
		ASTR = structure(find(strcmp({structure(:).short_name},ddblank(ASTR)))).number;
		if length(ASTR) ~= 1
			disp('attribute asks for an inexisting or ambiguous structure')
			ok = 0;
		end		
		attribute(ind_att).structure = ASTR;  
	otherwise 
		ok = 0;
	end
else
	switch text_line(1:4)
	case 'AIXN'
		attribute(ind_att).index(ind_ind).name = ddblank(AIXN);
	case 'AIXF'
		AIXF = frame(find(strcmp({frame(:).short_name},ddblank(AIXF)))).number;
		if length(AIXF) ~= 1
			disp('attribute index asks for an inexisting or ambiguous frame')
			ok = 0;
		end
		attribute(ind_att).index(ind_ind).frame = AIXF;	
	otherwise 
		ok = 0;
	end
end	
