function locate_node(plot_limits_initial, plot_limits_now, ...
pos_axes, sel_col,hd_fig,hd_axes)
% the move_node function runs when creating  the network and
% when changing it.

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global frame structure mapping attribute variable belief
global pin_frame pin_structure pin_attribute  pin_variable 
global pin_mapping pin_belief 
global root_file_name save_path file_name_begin
global node pin_node link pin_link  need_uiresume flags flagstr scaling_coef
global pull_down_menu figure_handles

set(findobj('Userdata','ntw_menu'),'Enable','off');	% no menu while in tree
set(gcf,'Selected','on')

% flags(1) = which object, flags(2) = which option if right click
% falgs(1) = 0 if we don't point on a node

ggo_on = 1;
while ggo_on
	flags = [];
	need_uiresume = 0; % so I finish   clb_node    without uiresume
	
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	waitforbuttonpress 	
	% it creates flags with the node I click on
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	if strcmp(get(gco,'Userdata'),'Menus On')
		% menus on has been set by pushing on the UL Red button and its callback
		% I must use userdata as in patch string is not define whereas userdata is OK
		flagstr = 'Quit'; % I hit the UL little button and change flagstr
	end
	% I pass here (Quit) if I hit the UL button that brings me back to menu 
	% see callback in preparing_networks_figure
	
	switch flagstr
	case 'Quit'
		ggo_on = 0;
		set(findobj('Userdata','ntw_menu'),'Enable','on');	% get menu back
	case 'Wrong_place'
		% I do nothing
	case 'Move_node'
		if ~isempty(flags)
			obj_to_move = flags(1);	
			set(node(obj_to_move).hd_picto(2),'FaceColor',sel_col);
			drawnow % so the color of the moved node is changed
			past_obj_to_move = obj_to_move;
			move_node_fcn(plot_limits_initial, plot_limits_now, pos_axes, ...		
			past_obj_to_move);
		end			
	end	
end % ggo_on,  you ask for a node and now move away from any node!!! 
% you MUST hit a node to say what you want, otherwise you cycle
