function translate_pref_param(option)
% transform global preferences_parameters into the parameters and vice versa

global preferences_parameters
global max_pc_cumul_mass bbm_display_order max_nbr_bel_create_attXindex
global width_long_text_help_window   width_demo_text  help_level 
global pull_down_menu max_card_fmt

switch option
case 'from_vect_to_data'
	set(0,...
	'DefaultuicontrolFontName',preferences_parameters{3},...
	'DefaultuicontrolFontSize',preferences_parameters{1},...
	'DefaultuicontrolBackgroundColor',preferences_parameters{2});
	width_long_text_help_window = preferences_parameters{4};

%  	width_demo_text = preferences_parameters{5};	

	if strcmp(lower(preferences_parameters{6}),'yes')
		set(0,'DefaultFigureResize','on')
	else
		set(0,'DefaultFigureResize','off')
	end 
	max_pc_cumul_mass = preferences_parameters{7};
	bbm_display_order = preferences_parameters{8};
	max_nbr_bel_create_attXindex = preferences_parameters{9};	
	if strcmp(lower(preferences_parameters{10}),'yes')
		run_get_all_menus
	end
	if strcmp(lower(preferences_parameters{11}),'yes')				
		set(0,'DefaultFigureCloseRequestFcn','closereq');
		hd = findobj('type','figure');
		for i = 1:length(hd)
			figure(hd(i));
			set(gcf,'CloseRequestFcn','closereq');
		end
	end	
	help_level = preferences_parameters{12};	
	max_card_fmt = preferences_parameters{13};
case 'from_data_to_vect'
	preferences_parameters{1} = get(0,'DefaultuicontrolFontSize');
	preferences_parameters{2} = get(0,'DefaultuicontrolBackgroundColor');
	preferences_parameters{3} = get(0,'DefaultuicontrolFontName');
	preferences_parameters{4} = width_long_text_help_window;

 	preferences_parameters{5} = width_demo_text;

	preferences_parameters{6} = get(0,'DefaultFigureResize');
	preferences_parameters{7} = max_pc_cumul_mass;
	preferences_parameters{8} = bbm_display_order;
	preferences_parameters{9} = max_nbr_bel_create_attXindex;
	if length(pull_down_menu)
		if min([pull_down_menu(:).status]) == 1
			preferences_parameters{10} = 'yes';
		else
			preferences_parameters{10} = 'no';
		end
	else
		preferences_parameters{10} = 'no';
	end
	if strcmp(get(0,'DefaultFigureCloseRequestFcn'),'closereq');
		preferences_parameters{11} = 'yes';
	else
		preferences_parameters{11} = 'no';
	end
	preferences_parameters{12} = help_level;	
	preferences_parameters{13} = max_card_fmt;	
end	

