function [hd_sing,ik] = res_disp_six(bel_ind,bp_ind,form_ind, var_name_list,element_numbers,label_details,...
mass0,bbm,nbr_bbm_displayed,nbr_worlds,foset,igr,hd_gr,hd_result_fig,button_height)

global belief variable frame bbm_display_order pathname2TBMLABvers flagstr
global Which_Courier
global memory_file_name

%
%   Version : Dec 18,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.  
% 	Author: Philippe Smets
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% list of bbm
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

skip_for_vert = 3; % nbr of variables between 2 displayed vertical lines 
% so we can read easily displayed list
nbr_var = length(belief(bel_ind).domain_variable);
ik =0;
results = [];

blank_head = ' ';
nbr_blank = 6;  % dispaly is 0.123 var1....
for i = 1:nbr_blank-1
	blank_head = [blank_head,' '];
end

% finding the position of the | and building the list of variable names with the |
vert_pos = 7; 
poss = 7;
to = 0;
var_name_with_vert = '| ';
for i_var = 1:nbr_var
	poss = poss + label_details.length(nbr_var+1-i_var) + 1;
	fr = to + 1; 
	to = to + label_details.length(nbr_var+1-i_var);
	var_name_with_vert = [var_name_with_vert,var_name_list(fr:to),' '];	
	to = to + 1; % skip blank
	if i_var == skip_for_vert*fix(i_var/skip_for_vert)
		var_name_with_vert = [var_name_with_vert,'| '];
		poss = poss + 2;
		vert_pos = [vert_pos poss];
	end
end

% getting the info content
info = information_content(bbm,foset,nbr_worlds);

% building the line with -----|------|----
line_inter = ' ';
for i = 1:poss
	line_inter = [line_inter,'-']; 
end
line_inter(vert_pos) = '|';

ik=ik+1;results{ik} = 'BEGIN: scrolling list. Normalized Masses.';
ik=ik+1;results{ik} = 'Order: large masses first.';
ik=ik+1;results{ik} = 'Variable = ... means ''any value'' for that variable.';
ik=ik+1;results{ik} = ['Mass given to empty set = ',num2str(mass0)];
ik=ik+1;results{ik} = ['Uncertainty Measures :         Normalize Unnormalize'];
ik=ik+1;results{ik} = ['Non Specificity : sum m(A) |A|     ',num2str(info(3),'%8.3f'),'       ',num2str(info(1),'%8.3f')];
ik=ik+1;results{ik} = ['Cardinality     : sum m(A) log|A|  ',num2str(info(4),'%8.3f'),'       ',num2str(info(2),'%8.3f')];
ik=ik+1;results{ik} = ' ';
ik=ik+1;results{ik} = line_inter;	
ik=ik+1;results{ik} = ['m\Var ',var_name_with_vert];
ik=ik+1;results{ik} = line_inter;

switch bbm_display_order
case 'as input'
	sorted_index = [1:length(bbm)];
case 'by magnitude'
	[useless, sorted_index] = sort(-bbm); 
end

for ii = 1:nbr_bbm_displayed 
	i = sorted_index(ii);
	if bbm(i) ~= 0
		bit_on = long_num2onbit([foset(i,:)], nbr_worlds);
		if length(bit_on)
			% if 0, empty set
			if bbm(i) > 1E-4
				pcm = num2str(bbm(i));
				pcm(length(pcm)+1:5) = '0';	
			else
				pcm = '0.000';
			end
		
			log_form = '';
			if isfield(belief(bel_ind).bp(bp_ind).form(form_ind),'log_expr')
				if i <= length(belief(bel_ind).bp(bp_ind).form(form_ind).log_expr)				
					log_form = belief(bel_ind).bp(bp_ind).form(form_ind).log_expr{i};				
				end
			end
		
			if isempty(ddblank(log_form))			
				foc_set = [];
				% simplifying the focal sets
				for j = 1:length(bit_on)
					foc_set(j,:) = element_numbers(bit_on(j),:);
				end		
			
				% I have a focal set, I simplify it 
				new_foc_set = simplifying_formulas(foc_set, fliplr(belief(bel_ind).domain_cardinality));
				% fliplr so if var are v1 v2 I get card of v2 then v1 
				% necessary to be consistent with element_numbers		
				% a 0 means anything at that location
				
				% creating a matrix which line is a world in the new product space but with blanks 
				% when simplifying has work (0 in new_foc_set(i,j) means anything for variable j, and displayed as .).
				
				for i = 1:size(new_foc_set,1)
					ik=ik+1;
					if i == 1
						results{ik} = [pcm(1:5),' '];
					else
						results{ik} = blank_head;
					end
					el = '| ';
					to = 0;
					
					for j = 1:nbr_var
						fr = to + 1;
						to = fr - 1 + label_details.length(nbr_var+1-j);
						if new_foc_set(i,j) == 0
							for k = fr:to							
								el= [el,'.'];
							end
							el = [el,' '];
						else					
							el= [el, label_details.text{nbr_var+1-j,new_foc_set(i,j)} ,' ']; 							
						end
						if skip_for_vert*fix(j/skip_for_vert) == j 
							el = [el,'|',' '];
						end										
					end % for j = 1:nbr_var
					results{ik} = [results{ik},el];
				end % for i = 1:size(new_foc_set,1)
			else
				ik=ik+1; 
				results{ik} = [pcm(1:5),' |',ddblank(log_form)];
			end % if isempty(log_form)
			ik=ik+1; results{ik} = line_inter;	
		end % if length(bit_on)
	end % if bbm(i) ~= 0
end  % for ii = 1:nbr_foc  
ik=ik+1;results{ik} = 'END';

if igr == -1
	% hd_gr used for the file name
	if isempty(flagstr{1})
		fid = 1;
	else
		% SAVE printed data				
		cd(memory_file_name.path)		
		fid = fopen([flagstr{1},'.belprint'],'at');	% flagstr{1} = fn in batch instruction
	end

	% request for print from batch mode
	fprintf(fid,'\nXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n\n',[]);
	fprintf(fid,'Belief short_name = %s\n',belief(bel_ind).short_name);
	fprintf(fid,'Belief full_name  = %s\n',belief(bel_ind).full_name);
	fprintf(fid,'Potential number  = %3i\n',bp_ind);
	
	if isfield(belief(bel_ind).bp(bp_ind),'condition')
		if ~isempty(belief(bel_ind).bp(bp_ind).condition)	
			bb = belief(bel_ind).bp(bp_ind).condition;
			bb = strrep(bb,',','');			
			bb = strrep(bb,' ','');
			bb = strrep(bb,'=',' = ');			
			fprintf(fid,'Potential condition : %s\n\n',bb);
		else
			fprintf(fid,'\n',[]);
		end
	else
		fprintf(fid,'\n',[]);
	end

	for i = 1:length(results)
		fprintf(fid,'%s\n',results{i});
	end
	hd_sing = 0;
	ik = 0;
	
	BetP_elem = flagstr{2};
	Bel_elem = flagstr{3};
	Pl_elem = flagstr{4};
	
	char_var = length(var_name_with_vert);
	
	if ~strcmp(var_name_with_vert(char_var-1),'|')
		var_name_with_vert = [var_name_with_vert,'| '];
		char_var = char_var + 2;
	end

	line_inter(1:char_var+26) = '-';
	
	line_inter(1) = '|';
	line_inter(char_var - 1) = '|';
	line_inter(char_var +26) = '|';
	
	fprintf(fid,'\nBel, BetP, Pl on the singletons.\n',[]);
	fprintf(fid,'%s\n',line_inter);
	fprintf(fid,'%sNum    Bel   BetP     Pl |\n',var_name_with_vert);	
	fprintf(fid,'%s\n',line_inter);	
	for ii = 1:length(BetP_elem)
		el = '| ';		
		for j = 1:nbr_var 		
			el = [el label_details.elem_label{ii,j} ' '];
			if j == skip_for_vert*fix(j/skip_for_vert)
				el = [el,'| '];
			end
		end
		if ~strcmp(el(length(el)-1),'|')
			el = [el,'| '];
		end	
		if ii < 10
			el = [el,'  ', num2str(ii) ,'  ',num2str(Bel_elem(ii),'%5.3f'),'  ',...
			num2str(BetP_elem(ii),'%5.3f'),'  ',num2str(Pl_elem(ii),'%5.3f'),' | ' ];
		else
			el = [el, ' ', num2str(ii) ,'  ',num2str(Bel_elem(ii),'%5.3f'),'  ',...
			num2str(BetP_elem(ii),'%5.3f'),'  ',num2str(Pl_elem(ii),'%5.3f'),' | ' ];
		end
	
		fprintf(fid,'%s\n',el);
		if mod(ii,5) == 0
			fprintf(fid,'%s\n',line_inter);		
		end
	end
	fprintf(fid,'%s\n',line_inter);
	
	if fid ~= 1
		fclose(fid);
	end

else
	igr = igr + 1;
	hd_gr(igr) = uicontrol('parent',hd_result_fig,...
	'position',[.51 .010+button_height .485 .985-button_height],...
	'Style','Listbox',...
	'Fontname',Which_Courier,...
	'String',results,...
	'max',100,...
	'userdata','TBM_results',...
	'value',[]);
	
	hd_sing = hd_gr;
	ik = igr;
end	
