function run_show_all(option)
% showing on MATLAB Command Window all the objects that have been built

% can be long
% puirpose: for debugging
% not possible to print it as fprintf does not swallow strutured obejcts 
% whereas 'just their name' like frame(1) displays them  nicely but on Command Window.

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global frame structure mapping attribute variable belief

switch option
case 1
	
	fid = 1;
	
	hdw = warndlg(['TBMLAB lists the content of every object in the Matlab Command Window.',...
	' It can be very long but you get everything! Useful for debugging purpose']);
	uiwait(hdw);
	
	disp('List of frames')
	for i = 1:length(frame)
		if ~isempty(frame(i).number)
			fprintf(fid,'Frame index = %4i\',i);
			frame(i)
			frame(i).elements
		end
	end

	disp('List of structures')
	for i = 1:length(structure)
		if ~isempty(structure(i).number)
			fprintf(fid,'Structure index = %4i\',i);
			structure(i)
		end
	end

	disp('List of mappings')
	for i = 1:length(mapping)
		if ~isempty(mapping(i).number)
			fprintf(fid,'Mapping index = %4i\',i);
			mapping(i)
		end
	end

	disp('List of attributes')
	for i = 1:length(attribute)
		if ~isempty(attribute(i).number)
			fprintf(fid,'Attribute index = %4i\',i);
			attribute(i)
			for j = 1:length(attribute(i).index) 
				attribute(i).index(j)
			end	
		end
	end

	disp('List of variables')
	for i = 1:length(variable)
		if ~isempty(variable(i).number)
			fprintf(fid,'Variable index = %4i\',i);
			variable(i)
		end
	end

case 2

end
