function closing_TBM_figures
% call back to reactivate the close butttons on your windows

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

text = ['The system buttons attached to the windows have been desactivated.',... 
'You can reactivate them, but at your own risk. TBMLAB will probably crash soon if you close any window.',...
'Better use the ''Hide'' button.','Note: ''close all force'' in Matlab Command Window forces closure of all figures.'];
[index_fig, hd_fig] = handling_all_figures('put_in_front',{'General Window'});
disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
disp('X')
disp('X If you are in trouble with closing the figures')
disp('X run the instruction :  close all force')
disp('X')
disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')

[choice] = text_with_n_buttons( hd_fig(1), text, {'OK','Cancel'}, [0 0 0 0]);

if choice == 1
	set(0,'DefaultFigureCloseRequestFcn','closereq');
	hd = findobj('type','figure');
	for i = 1:length(hd)
		figure(hd(i));
		set(gcf,'CloseRequestFcn','closereq');
	end
end	
