function windows_buttons
% a set of 3 buttons at lower left to hide or rewake the windows or reactivate the close

% When  you click on Windows Back, TBMLAB tries to give you back what you had, if fail, use clicks
% When  you click on Hiding Windows, all windows are hidden 
% When  you click on Windows Close On the close window in menu bar is re_activated
%
%   Version : Dec 3,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

% the windows Back
hd_fig(1) = figure(...
'WindowButtonDownFcn','command_window(''off'')',...
'userdata','button_get_window_back',...
'Color','yellow',...
'MenuBar','None',...
'NumberTitle','off',...
'Name','');
set(gcf,'Position',[5 5 130 20]);
hd_fif(2) = uicontrol(hd_fig, 'Style','text',...
'Position',[.005 .005 .99 .99],...
'BackgroundColor','yellow',...
'userdata','button_get_window_back',...
'String','Windows Back');

% hiding part hide those figure with userdata = TBM_Figure
hd_fig(1) = figure(...
'WindowButtonDownFcn','hide_figures',...
'userdata','button_close_all_figures',...
'Color',[0.2 .8 1.],...
'MenuBar','None',...
'NumberTitle','off',...
'Name','');
set(gcf,'Position',[150 5 130 20]);
hd_fif(2) = uicontrol(hd_fig(1), 'Style','text',...
'Position',[.005 .005 .99 .99],...
'BackgroundColor',[0.2 .8 1.],...
'userdata','button_close_all_figures',...
'String','Hiding Windows');

% rewaking figure closing possibility (the buton is again active)
hd_fig(3) = figure(...
'WindowButtonDownFcn','closing_TBM_figures',...
'userdata','button_close_all_figures',...
'Color',[1 0.4 1],...
'MenuBar','None',...
'NumberTitle','off',...
'Name','');
set(gcf,'Position',[295 5 130 20]);
hd_fif(4) = uicontrol(hd_fig(3), 'Style','text',...
'Position',[.005 .005 .99 .99],...
'BackgroundColor',[1 0.4 1],...
'userdata','button_close_all_figures',...
'String','Windows Close On');
