function menu_off
% turn off all the menu
% doen to avoid fooling around with the menu and forcing user 
% to quit every option through the official exit.

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global pull_down_menu figure_handles

% I turn all menu off
% needed to avoid window closing errors
for ind = 1:length(pull_down_menu)
	if strcmp(pull_down_menu(ind).fig_parent,'Root Window')
		set(pull_down_menu(ind).hd,'Enable','off');
	end
end
% I change the name of Root Window
[index_fig, hd_fig] = handling_all_figures('get_index',{'Root Window'});
set(figure_handles(index_fig) ,'name','Root Window: Menu OFF');
