function protected_delete(handle)
% delete a/several gui object if it exists  
% input is handle_name as char string
% work for ONE handle at a time

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%



if ishandle(handle)
	delete(handle);
end

% example of calling sequence

% % hhh{1}= figure
% % hhh{2}= figure
% % protected_delete(hhh{1})
% % protected_delete(hhh{2})
% trying just protected_delete(hhh) does not work properly
