function expr = replace_andor(expr,what)
% if what = 'and', repalacing X and Y by bitAND(X,Y)
% if what = 'or' , repalacing X or  Y by bitOR(X,Y)

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global length_one_focal % B(:,:,jj)


pair = matching_parentheis(expr,'()');
% finding the matching pairs of ( and )
% if expr = (a(a)(a))
% pair = [ 3 5; 6 8; 1 9]
pairbitand = matching_parentheis(expr,'{}');


% we must consider
% and  B0067       and (....
% ...) and     B0034 and
switch what
case 'and'
	skip = 3; % length of and
	bitwhat = ' bitAND{';
case 'or'
	skip = 2; % length of or
	bitwhat = ' bitOR{';
end
% seems strangfe but I need AND OR to avoid finding and or again and again
% when all and or have been changed, the AND OR will be transformed into and or



expr



expr(end+1) = ' '; 
% adding a final space to avoid clashes

from = findstr(expr,what) ; % where and or starts
% we don't change them at once as the location change each time
% as we rewrite expr as    before next_expr after
while ~isempty(from)
	beg = from(1); % here starts an and/or
	
	% what comes next ( or B         %)
	i = beg + skip; % here is next char afer and/or
	while i <= length(expr)
		if strcmp(expr(i),'(')
			% we face a open parenthesis, we look for its matching )
			fr = i;
			to = pair(find(pair(:,1)==fr),2);
			
			% 			np = 1; 
			% 			j = i+1;
			% 			while j <= length(expr)
			% 				if strcmp(expr(j),')') 
			% 					np = np - 1;
			% 					if np == 0
			after = expr(to+1:length(expr));
			pars2and = expr(fr:to);
			% 						j = length(expr) + 1; % exit from while j
			% 					else
			% 						j = j + 1;
			% 					end
			% 				elseif strcmp(expr(j),'(') 
			% 					np = np + 1; %) 
			% 					j = j + 1;
			% 				else 			
			% 					j = j + 1;
			% 				end		
			% 			end
			i = length(expr) + 1; % exit from while i
		elseif strcmp(expr(i),'B')  
			% we face a bp, we know its length_one_focal 
			% = 15 based on B(xx,K(xx,:),:) NO more
			% now it is 9 B[:,;,jj]
			after = expr(i+length_one_focal:length(expr));
			pars2and = expr(i:i+length_one_focal-1); % the B[:,;,jj]
			i = length(expr) + 1; % exit from while i
		elseif strcmp(expr(i),'b') 
			% we face a bp computed with bitXXX, we look for its (, then its matching )
			% as by now we wrote bitor{....}
			% but we may have bitor{bitand{...},bitand{...}} 
			% so we must find the first { and its matching }
			i1 = i + 1; 
			while ~strcmp(expr(i1),'{') 
				i1 = i1 + 1;
			end
			j = pairbitand(find(pairbitand(:,1)==i1),2);
			% so expr(i) = b, expr(i1) = {, expr(j) = }
			after = expr(j+1:length(expr));
			pars2and = expr(i:j); % from b to }
			i = length(expr) + 1; % exit from while i
		else
			i = i + 1;
		end	
	end

	% what comes before
	i = beg - 1;
	while i > 0
		if strcmp(expr(i),')')
			j = pair(find(pair(:,2)==i),1);
			% we face a close parenthesis, we look for its matching parenthesis
			% 			np = 1;
			% 			j = i-1;
			% 			while j > 0
			% 				if strcmp(expr(j),'(') 
			% 					np = np - 1; %)
			% 					if np == 0
			before = expr(1:j-1);
			pars1and = expr(j:i);
			% 						j = 0;
			% 					else
			% 						j = j - 1;
			% 					end
			% 				elseif strcmp(expr(j),')') 
			% 					np = np + 1; %) 
			% 					j = j - 1;				
			% 				else
			% 					j = j - 1;
			% 				end		
			% 			end
			
			
			% so expr(j) = ( and expr(i) = )
			i = 0; % exit from while i
		elseif strcmp(expr(i),']') 
			% we face the end of a B[...], thus just a bp
			j = i - length_one_focal + 1;
			before = expr(1:j-1);
			pars1and = expr(j:i);		
			
			i = 0; % exit from while i
			
		elseif strcmp(expr(i),'}')
			% we face a bp computed with bitXXX, we look for itsmatching { then its  b
			
			j = pairbitand(find(pairbitand(:,2)==i),1);			
			if strcmp(lower(expr(j-1)),'o')	% before {} we always have bitAND, bitOR, bitcmp			
				j = j - 5;  % for bitOR
			else
				j = j - 6; % for bitAND, bitcmp
			end
			% expr(j) = b, expr(i) = }
			
			% 			np = 1;			
			% 			j = i-1;
			% 			% I must find the matching { and then the b just before
			% 			
			% 			while j > 0
			% 				if strcmp(expr(j),'{') 
			% 					np = np - 1; %)
			% 					if np == 0
			% 						before_j = j; % here is the matching {
			% 						j = 0;
			% 					else
			% 						j = j - 1;
			% 					end
			% 				elseif strcmp(expr(j),'}')  % one mare wrong side }
			% 					np = np + 1; %) 
			% 					j = j - 1;				
			% 				else
			% 					j = j - 1;
			% 				end		
			% 			end
			% 			% let us find the b of the bitxxx of bitxxx{  }		
			% 			j = before_j-1;
			% 			while ~strcmp(expr(j),'b') 
			% 				j = j - 1;
			% 			end
			before = expr(1:j-1);
			pars1and = expr(j:i);
			i = 0;	% exit from while i
		else
			i = i - 1;
		end	
	end
	expr = strcat(before,bitwhat,pars1and,',',pars2and,'}',after);		

	
	
	expr

	
	
	
	% we must redo it as expr has changed
	from = findstr(expr,what);
	pair = matching_parentheis(expr,'()');
	pairbitand = matching_parentheis(expr,'{}');
end

expr
