function clean_all_names_from_space
% space in a name is not OK for the logical epxression analyzer.
% so I reeplace all blanks and spaces by _

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global frame structure mapping attribute variable belief
global pin_frame pin_structure pin_attribute pin_variable 
global pin_mapping pin_belief

% we need to be sure all pin are loaded

get_all_pin_tables

for i = 1:size(pin_frame,1)
	exp = frame(pin_frame(i,2)).full_name;
	exp(findstr(' ',exp)) = '_';
	frame(pin_frame(i,2)).full_name = exp;
	
	exp = frame(pin_frame(i,2)).short_name;
	exp(findstr(' ',exp)) = '_';
	frame(pin_frame(i,2)).short_name = exp;	
end


for i = 1:size(pin_structure,1)
	exp = structure(pin_structure(i,2)).full_name;
	exp(findstr(' ',exp)) = '_';
	structure(pin_structure(i,2)).full_name = exp;
	
	exp = structure(pin_structure(i,2)).short_name;
	exp(findstr(' ',exp)) = '_';
	structure(pin_structure(i,2)).short_name = exp;	
end


for i = 1:size(pin_attribute,1)
	exp = attribute(pin_attribute(i,2)).full_name;
	exp(findstr(' ',exp)) = '_';
	attribute(pin_attribute(i,2)).full_name = exp;
	
	exp = attribute(pin_attribute(i,2)).short_name;
	exp(findstr(' ',exp)) = '_';
	attribute(pin_attribute(i,2)).short_name = exp;	
end


for i = 1:size(pin_variable,1)
	exp = variable(pin_variable(i,2)).full_name;
	exp(findstr(' ',exp)) = '_';
	variable(pin_variable(i,2)).full_name = exp;
	
	exp = variable(pin_variable(i,2)).short_name;
	exp(findstr(' ',exp)) = '_';
	variable(pin_variable(i,2)).short_name = exp;	
end


for i = 1:size(pin_belief,1)
	exp = belief(pin_belief(i,2)).full_name;
	exp(findstr(' ',exp)) = '_';
	belief(pin_belief(i,2)).full_name = exp;
	
	exp = belief(pin_belief(i,2)).short_name;
	exp(findstr(' ',exp)) = '_';
	belief(pin_belief(i,2)).short_name = exp;	
end
