function [new_bba, new_foset] = dicount_bba(bba,foset,cf,card)
% discount bba by cf , the issue was to find the universe as bba may be seleted

%
%   Version : June 12,03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

new_bba = bba*(1-cf);
new_foset = foset;

universe = get_universe(card);
ok_univ = 0;
for i = 1:length(bba)
	if foset(i,:) == universe
		new_bba(i) = new_bba(i) + cf;
		ok_univ = 1;
	end
end

if ok_univ == 0
	new_bba(length(new_bba)+1) = cf;
	new_foset(length(new_bba),:) = universe;
end

