function [n, remain] =  words_for_set(nbr)
% number of full words + remainder for string bit vector representing a subset
% nbr is the number of element is the space (= the cardinality)

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global nbr_bit_per_word 

% nbr_bit_per_word  = 50

n = floor((nbr-1)/nbr_bit_per_word) ;
remain = nbr - n*nbr_bit_per_word;

% if nbr_bit_per_word = 50, then
% nbr = 50    n = 0, r = 50
% nbr = 51    n = 1, r = 1
