function [ind_variable, ind_attribute, ind_structure, ind_frame] = index_from_var_to_structure(num_var)
% find the index for objects making one variable which number is num_var

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%



global frame structure mapping attribute variable belief
global pin_frame pin_structure pin_attribute pin_variable 
global pin_mapping pin_belief

ind_variable = pin_manipulation('variable','num2ind',num_var);
ind_frame = pin_manipulation('frame','num2ind',variable(ind_variable).frame);
ind_attribute = pin_manipulation('attribute','num2ind',variable(ind_variable).attribute);
ind_structure = pin_manipulation('structure','num2ind',attribute(ind_attribute).structure);

