function [res_object] = put_in_fields(in_object,out_object)
% in_object = an object with fields and values
% out_object = the pbject which fields are to be replaced by t hose in in_object

% it looks like out = in, but it saves those fileds in out_object unchanged by in_object
% res_object is what out_object becomes after modification

names = fieldnames(in_object);
res_object = out_object;

for i = 1:size(names,1)
	res_object = setfield(res_object,names{i},getfield(in_object,names{i}));
end	
		
