function int = is_var_int(num_var)
% determine if a set of variable() num var contains a Integers frame
% cont = 1 if there is at least one continuous var, else 0

global frame variable

int = 0;
for i = 1:length(num_var)
	ind_var = pin_manipulation('variable','num2ind',num_var(i));
	ind_fra = pin_manipulation('frame','num2ind',variable(ind_var).frame);
	if strcmp(frame(ind_fra).type,'Integers')
		int = 1;
	end
end	
