function fill_objects
% verifying every object has all its fields
% absent fields create craches, so I put []

global frame structure mapping attribute variable belief

poss_object = {'frame','structure','mapping','attribute','variable','belief'};
fd{1} = {'number','short_name','full_name','type','cardinality','elements','min','max'};
fd{2} = {'number','short_name','full_name','most_refined','sub_frames','mapping'};
fd{3} = {'number'};
fd{4} = {'number','short_name','full_name','structure','index'};
fd{5} = {'number','short_name','full_name','attribute','frame','index_value'};
fd{6} = {'number','short_name','full_name','domain_variable','domain_cardinality',...
'conditioning_variable','conditioning_cardinality','agent','time','ec','origin','computed ',...
'disposable'};
fd{7} = {'number','full_name','cd_focal_set','condition'};

req{1} = [1 1 0 1 0 0 0 0];
req{2} = [1 1 0 1 0 0];
req{3} = [1 ];
req{4} = [1 1 0 1 0];
req{5} = [1 1 0 1 1 0];
req{6} = [1 1 0 1 1 0 0 0 0 0 0 0 0];
% req{i}(k) states if field k is required for obj type i (frame, struc...)
% used to rpint an error report

ok = 1;

for i = 1:6 % for every object type
	nbr = length(eval(poss_object{i})); 
	for j = 1:nbr % for every poss_object  type {i}, every frfame, every structure... belief
		obj = eval([poss_object{i},'(j)']);  % obj = frame(i)... belief(i)
		obj_new = 1;
		for k = 1:length(req{i})
			if ~isfield(obj,fd{i}{k})
				% if it is a field, OK, else I build one
				if req{i}(k) 
					if ok  
						disp(' ')
						disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
						disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
						disp('XXXXXXXXX       Begin errors report      XXXXXXXXXXX')
						disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
						disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
						disp(' ')
						ok = 0;
					end
					% THERE is a major flaw in the object
					if obj_new
						disp(['For the next object ',poss_object{i},'(',num2str(j),'), there is a fatal error'])
						obj
						disp(' ')
						obj_new = 0;
					end
					disp(['The missing required field is : ',fd{i}{k}]);									
				end
				% so the field exists and is []
				eval([poss_object{i},'(',num2str(j),').',fd{i}{k},' = [];']);
			end
		end
	end		
end

for i=1:length(belief)
	if ~isfield(belief(i),'dci_var')
		get_its_dci(i) % so correct dci stored (I already knew domain_variables
	else
		if ~isfield(belief(i).dci_var,'pin_d') | ~isfield(belief(i).dci_var,'pin_c')  | ~isfield(belief(i).dci_var,'pin_i')
			get_its_dci(i)
		end
	end
	if ~isfield(belief(i),'bp')
		nbr_bp = prod(belief(i).conditioning_cardinality);
		for k = 1:nbr_bp			
			make_empty('bp',i,k)
			% I get the bp with one form with vacuous bba
		end
	else 	
		for j = 1:length(belief(i).bp)
			for k = 1:length(fd{7})
				if ~isfield(belief(i).bp(j),fd{7}{k})
					eval(['belief(i).bp(j).',fd{7}{k},' = [];']);
				end
			end
			for kf = 1:length(belief(i).bp(j).form)
				if ~isfield(belief(i).bp(j).form(kf),'type')
					belief(i).bp(j).form(kf).type = 'm';
				end
				if ~isfield(belief(i).bp(j).form(kf),'focal_sets')
					belief(i).bp(j).form(kf).focal_sets = get_univrese(prod(belief(i).domain_cardinality));
				end
				if ~isfield(belief(i).bp(j).form(kf),'values')
					belief(i).bp(j).form(kf).values = 1;
				end			
				if ~isfield(belief(i).bp(j).form(kf),'representation')
					belief(i).bp(j).form(kf).representation = 'selected';
				end
				if ~isfield(belief(i).bp(j).form(kf),'log_expr')
					belief(i).bp(j).form(kf).log_expr{1} = [];
				end
				if ~isfield(belief(i).bp(j).form(kf),'contint')
					belief(i).bp(j).form(kf).contint = [];
				end
			end
		end
	end
end

% disp(' ')
% disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
% disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
% disp('XXXXXXXXX        Fill Fields Done        XXXXXXXXXXX')
% disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
% disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')

