function build_pathname
% if TBMLAB_Folder is in Toolbox, I find it, and use it.
% if TBMLAB_Folder is not in Toolbox, user must find and open the file tbmlab.m.

%
%   Version : May 7,03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global pathname2TBMLABvers
% pathname2TBMLABvers built up to TBMLAB_x.y  (version x.y like 3.16) 

%
% elsewhere in TBMLAB I use:
% global root_file_name   file_name_begin   save_path 
%
% root_file_name = fullfile(matlabroot,'toolbox','TBMLAB_Folder',...
% 'TBMLAB','User_Data','Data_storage',file_name_begin,file_name_begin);
% 		
% save_path = fullfile(matlabroot,'toolbox','TBMLAB_Folder',...
% 'TBMLAB','User_Data','Data_storage',file_name_begin,'');
%
% file_name_begin is the folder name where objects are saved
%

fp = which('tbmlab');
pathname2TBMLABvers = strrep(fp,[filesep, 'tbmlab.m'],'');
cd(pathname2TBMLABvers);
