function universe = get_universe(nb)
% build a vector representing the universe (all (=nb) bits are on)

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global nbr_bit_per_word 

[n, remain] =  words_for_set(nb);
universe(1:n) = pow2(nbr_bit_per_word)-1;
universe(n+1) = pow2(remain)-1;
