function bits = long_num2bit(vect_n, card)
% produce all the bits making vect_n (a column of long numbers)
% working for several vect_n
% left most column in bits is for element 1

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global nbr_bit_per_word

% when asking it for empty list, get bits = empty
bits = [];

[nw, nr] =  words_for_set(card);

for k = 1:size(vect_n,1)
	to = 0; 
	nn = nbr_bit_per_word;
	for i = 1:nw+1
		fr = to ;
		if i == nw+1
			nn = nr;
		end	
		to = to + nn;
		bits(k,fr+1:to) = 0; 
		bits(k,fr + find(bitand(vect_n(k,i),pow2([0:nn-1])))) = 1; 
	end
end



