function [where] = next_sets_below(a, n_elements)
% list of subsets of a with cardinality = cardinality(a) - 1

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


where = [];
for i = 1:n_elements
	if bitget(a,i) == 1
		where = [where bitset(a,i,0)];
	end
end
