function [bits] = num2bit(a, n_elem)
% determine bits value of a
% bits(1) status of rightmost bit 

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


% NOT EFFICIENT SEE long_num2bit
if nargin == 1
	n_elem = 1;
end

if a > 0	
	bits(1:n_elem) = 0;
	nbr_bits = max(floor(log2(a) + 1),n_elem);
	for i = 1:nbr_bits
		bits(i) = bitget(a,i);
	end
else
	bits(1:n_elem) = 0;
end
