function [p] = nzandsets(a,n)
% set function: produce list of subset of 2^n-1 
% that have a non empty intersection with a.
% worlds are labelled by integer in 0... 2^n-1  
% beware world number is between 0 and ... the bits are on-off
% a = 2 means rightmost bits are ...000010
% a = 0 = ...00000, a = 3 = ...000011 etc
% p is list of labels of subrset of a

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


p =  find(bitand([0:2^n-1],a))-1;
