function bel_idnum = execute_vbs(list_bels_number,list_var_num,all_marginals)
% executing VBS 
%
% all_marginals = 0: one run for the resuested marginal on the product space of list_var_num 
% (as asked by just a VBS evaluation)
% bel_idnum = the number of the BELIEF object containing the result
%
% all_marginals = 1: one run for each variable individually (as asked by EVN) 
% list_var_num unused in that case
% bel_idnum = the list with the numbers of the BELIEF object containing the results

% I rewite the fosets for VBS
% then run VBS
% then rewrite fosets backward 

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

% I come from BELIEF = belief so pin_belief is still OK
global nbr_bit_per_word
global pin_frame pin_structure pin_attribute pin_variable 
global pin_mapping pin_belief
global frame structure mapping attribute variable belief
global node pin_node link pin_link  need_uiresume flags flagstr scaling_coef
global FRAME STRUCTURE MAPPING ATTRIBUTE VARIABLE BELIEF QUERY

nn = nbr_bit_per_word;
list_bels_index = pin_manipulation('belief','num2ind',list_bels_number);

% % % % % % % %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % % % % % % %
% % % % % % % % creating those objects as requested by VBS author, focal set tarnsformed into VBS needs
% % % % % % % %
% % % % % % % %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % % % % % % 
% % % % % % % bel_ind_for_BEL = prepare_initial_VBS_request(list_bels_number);
% % % % % % % % BELIEF(k) = belief(bel_ind_for_BEL(k))

if all_marginals == 0
	
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	% THE COMPUTATION for the requested marginal IS ASKED HERE
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	tic
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	% THE VBS computation	
	bel_idnum = ssolve(list_bels_number, list_var_num);
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	toc
	disp('The time with VBS is above')
	% 	% if I want to run SHOWBEL(bel_idnum), it should be done HERE
else
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	% THE COMPUTATION for every marginal IS ASKED HERE
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	list_num_BEL_for_each_marginal = [];
	% I need every single var marginal
	
	list_var_numbers = unique([ [belief(list_bels_index(:)).domain_variable] ...
	[belief(list_bels_index(:)).conditioning_variable]  ]);
	
	for i = 1:length(list_var_numbers)
		
		%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		%
		% THE VBS computation	
		bel_single_var = ssolve(list_bels_number, list_var_numbers(i));
		%
		%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		
		% I reorder the fosets as VBS and TBMLAB are in reverse order
		ind_BEL = find([BELIEF(:).number] == bel_single_var);
		list_num_BEL_for_each_marginal = [list_num_BEL_for_each_marginal   bel_single_var];			
	end
	bel_idnum = list_num_BEL_for_each_marginal;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% cleaning the 1/infinity aded to universe in prepare_initial_VBS_request
% reducing greatly the length of values and focal_sets
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% bel_idnum maybe a vector
ind_BEL_list = find(ismember([BELIEF(:).number],bel_idnum));
ind_pot = 1;
ind_for = 1;
for ind_BEL = ind_BEL_list
	del_val = [];
	for i = 1:length(BELIEF(ind_BEL).bp(ind_pot).form(ind_for).values)
		if BELIEF(ind_BEL).bp(ind_pot).form(ind_for).values(i) < 1E-30
			del_val = [del_val i];
		end
	end
	if length(del_val) > 0
		BELIEF(ind_BEL).bp(ind_pot).form(ind_for).values(del_val) = [];
		BELIEF(ind_BEL).bp(ind_pot).form(ind_for).focal_sets(del_val,:) = [];
	end
	BELIEF(ind_BEL) = disc_categorical(BELIEF(ind_BEL),ind_pot);
end

