function hide_buttons(panel,butt,hd_logexp)
% hiding buttons not usable

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% the handles: hd_logexp{i}(j)
%
% i = 1 : the 2 boxes
% j = 1 = the box for the logical expr
% j = 2 = the title of 1
% j = 3 = the box for the mass
% j = 4 = the title of 3
%
% i = 2 : the control buttons
% j = n = element n of {'OK','Quit','Clear Expr.','Cancel'}
%
% i = 3 : the logical operator buttons
% j = n = element n of {'and','or','not','impl','equiv','(',')'}
%
% i = 4 : the variable buttons
% j = n = n'trh variobale, same order as in domain_variable
%
% button_operator{1} = {'OK','Quit','Clear Expr.','Cancel'}
% button_operator{2} = {'and','or','not','impl','equiv','(',')'}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

switch panel
case - 1 % when I said OK for log expr
	set(hd_logexp{4},'visible','off');
	set(hd_logexp{3},'visible','off');	
case 0 % initial setting 
	switch butt
	case 0 
		% no old log expr
		set(hd_logexp{3},'visible','on');
		set(hd_logexp{4},'visible','on');
		show_log = [3 6];
		hide_log = [1 2 4 5 7];
	case 1 % there is an old log expr
		set(hd_logexp{3},'visible','on');
		set(hd_logexp{4},'visible','on');
		show_log = [1 2 3 4 5 6 7];
		hide_log = [];
	end
case 1 % logical operators
	switch butt
	case {1,2} % and or
		set(hd_logexp{4},'visible','on');
		show_log = [3 6];
		hide_log = [1 2 4 5 7];
	case 3 % not
		set(hd_logexp{4},'visible','on');
		show_log = [6];
		hide_log = [1 2 3 4 5 7];
	case {4,5} % impl equiv
		set(hd_logexp{4},'visible','on');
		show_log = [3 6];
		hide_log = [1 2 4 5 7];
	case 6 % (
		set(hd_logexp{4},'visible','on');
		show_log = [3 6];
		hide_log = [1 2 4 5 7];
	case 7 % )
		set(hd_logexp{4},'visible','off');
		show_log = [1 2 4 5 7];
		hide_log = [3 6];
	end
case 2 % after a var there is NO variable
	set(hd_logexp{4},'visible','off');
	show_log = [1 2 4 5 7]; % after a var, no ( not
	hide_log = [3 6];
end	

if panel ~= -1
	hide_log = 2*hide_log + 2;
	show_log = 2*show_log + 2;
	% the + 2 is due to the fact 1 is the frame and 2 is the title in uicontrol	
	for i = hide_log
		set(hd_logexp{3}(i),'visible','off');
	end
	for i = show_log
		set(hd_logexp{3}(i),'visible','on')
	end
end
