%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% getting the 0/1 values for the sets in vertical column
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

from_vert = (i_vert_scr-1)*nbr_lines_per_scr + 1;
to_vert = min(cardinal,i_vert_scr*nbr_lines_per_scr);

from_hor = (i_hor_scr-1)*nbr_columns_per_scr + 1;
to_hor = min(total_nbr_of_sets,i_hor_scr*nbr_columns_per_scr);

% pos_now is the position as per now for the uicontrol
pos_now = [width_elements-pos_box(3)  pos_fig(4)-1-(nbr_forms+1)*pos_box(4)  pos_box(3)  pos_box(4)];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% fontsize for Which_Courier
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global Which_Courier
switch computer
case 'MAC2'
ftsz = 10;
otherwise
ftsz = 9;
end
jj = 0;
for j = from_hor:to_hor
	jj = jj + 1; ii = 0;
	pos_now(1) = pos_now(1) + pos_box(3);
	pos_now(2) = pos_fig(4)-1-(nbr_forms+1)*pos_box(4);
	for i = from_vert:to_vert
		ii = ii+1;
		if bits(i,j) == 1
			showbit = [show1];
		else
			showbit = [show0];
		end
		pos_now(2) = pos_now(2) - pos_box(4);
		hd(ii,jj) = uicontrol(hd_fig,...
		'fontname',Which_Courier,'fontsize',ftsz,'units','pixels',...
		'style','text','position',pos_now,...
		'backgroundcolor',[1 1 1],...
		'ButtonDownFcn','clb_edit_bp;uiresume(gcf);',...
		'string',showbit);	
		% even if we do nothing in 	clb_edit_bp, we need it.
	end
end

