switch pdf_nature
case 'binomial' % param = [p, n]   default p = .5, n = 1, a = .5 b = .5
	[answer,choice_param] = dialog_queries(hd_fig,'Binomial parameter: C(n,r) p^r.q^(n-r)',{'p-value'},...
	{'.5'}, [], [], 2, [], [], [],[]);
	parameter(1) = str2num(answer{1});
	parameter(2) = belief(ind_bel).domain_cardinality-1;
	parameter(3) = str2num(answer{3});
	parameter(4) = str2num(answer{4});
	chg = 0;
	if parameter(1) ~= .5 | parameter(2) ~= 1
		chg = 1; % ab changed
	end
	if parameter(3) ~= .5 | parameter(4) ~= .5
		chg = 2+chg; % ms changed
	end
case 'beta' % param = [a, b]  m = a/(a+b)   s = sqrt ( ab / ( (a+b)^2 . (a+b+1) )
	[answer,choice_param] = dialog_queries(hd_fig,'Beta parameters: x^(a-1).(1-x)^(b-1) / B(a,b). Use one of a-b or m-s',...
	{'a','b','mean m','std_dev s'},{'1','1','.5','.289'}, [], [], 2, [], [], [],[]);
	parameter(1) = str2num(answer{1});
	parameter(2) = str2num(answer{2});
	parameter(3) = str2num(answer{3});
	parameter(4) = str2num(answer{4});
	chg = 0;
	if parameter(1) ~= 1 | parameter(2) ~= 1
		chg = 1; % ab changed
	end
	if parameter(3) ~= .5 | parameter(4) ~= .289
		chg = 2+chg; % ms changed
	end
	if chg == 0
		parameter(4) = sqrt(1/12); % I correct s 
	end
case 'gamma' % param = [t, n],  m = n/t   s = sqrt(n)/t   with n = 1 == exponential
	[answer,choice_param] = dialog_queries(hd_fig,'Gamma parameters: t^n.x^(n-1).e^(-tx)/G(n). Use one of t-n or m-s',...
	{'t-value','n-value','mean m','std_dev s'},...
	{'1','1','1','1'}, [], [], 2, [], [], [],[]);
	parameter(1) = str2num(answer{1});
	parameter(2) = str2num(answer{2});
	parameter(3) = str2num(answer{3});
	parameter(4) = str2num(answer{4});
	chg = 0;
	if parameter(1) ~= 1 | parameter(2) ~= 1
		chg = 1; % ab changed
	end
	if parameter(3) ~= 1 | parameter(4) ~= 1
		chg = 2+chg; % ms changed
	end
case 'gaussian' % param = [mu, sigma]
	[answer,choice_param] = dialog_queries(hd_fig,'Gaussian parameters',{'mu','sigma'},...
	{'0','1'}, [], [], 2, [], [], [],[]);
	parameter(1) = str2num(answer{1});
	parameter(2) = str2num(answer{2});
	parameter(3) = str2num(answer{1});
	parameter(4) = str2num(answer{2});	
case 'laplace' % param = [ alpha, beta]  m = alpha, s = beta.sqrt(2)
	[answer,choice_param] = dialog_queries(hd_fig,'Laplace parameters: e^(-|x-alpha|/beta)/2.beta. Use one of  alpha-beta or m-s',{'alpha','beta','mean m','stddev s'},...
	{'0','1','1','1'}, [], [], 2, [], [], [],[]);
	parameter(1) = str2num(answer{1});
	parameter(2) = str2num(answer{2});
	parameter(3) = str2num(answer{3});
	parameter(4) = str2num(answer{4});
	chg = 0;
	if parameter(1) ~= 0 | parameter(2) ~= 1
		chg = 1; % ab changed
	end
	if parameter(3) ~= 1 | parameter(4) ~= 1
		chg = 2+chg; % ms changed
	end			
end	

switch chg
case 0
	% no change, I keep defaults
case 1
	% ab changed
	parameter = pdf_parameters(pdf_nature,parameter(1:2),1);
case 2
	% ms changed   
	parameter = pdf_parameters(pdf_nature,parameter(3:4),3);
case 3 % no good, I keep ab
	hdw = warndlg('I said ONE OF. I keep the new a-b pair')
	uiwait(hdw)
	parameter = pdf_parameters(pdf_nature,parameter(1:2),1);
end
