% marginal_data_case

% the line is one of 
% bba case
% 	the short_name of a belief aobject with one bp   BSHN toto
% conditioning event case
% 	a subset described as a B O D X information      SET O 45

% vacuous case
% then there is NO PRBX or PRBT two-line instruction


global belief

switch text_line(1)

case 'B'
	if strcmp(upper(text_line(1:4)),'BSHN')
		txt = ddblank(text_line(5:end));
		num_bel = belief(find(strcmp({belief(:).short_name},txt))).number;
		if isempty(num_bel)
			ok = 0;
		else
			ok = 1;
		end
	else
		ok = 0;
	end

case 'S'
	if strcmp(upper(text_line(1:3)),'SET')
		txt = ddblank(text_line(4:end));	
		if max(strcmp(upper(txt(1)),{'B','O','D','X'}))
			% L not accepted as use a belief objects
			data = ddblank(txt(2:end));			
			switch upper(txt(1))
			case 'D'
				ndata = str2num(data);
			case {'O','X'}
				ndata = strrep(data,' ','');
			case 'B'
				% we get bits by group of 10, we elmiminate the spaces
				ntext = strrep(data,' ','');
				% a long string of 0 1 to be put as a vector
				nntext = strrep(ntext,'0','0 ');
				nntext = strrep(nntext,'1','1 ');
				% we put a space behind each 0 and each 1
				ndata = str2num(nntext); % convinput is vector with numercial 0's and 1's elements				
			case 'L'
				ndata = data;
			end
			condit_foset = long_number_conv(ndata,txt(1),'d', card,[]);
		else
			ok = 0;
		end
	end
end		
