% the mass foset case
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	
%
% entering a focal set with its mlass
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	

% it is a (mass, mode, focal set) pair
% mode tells haw focal set is represented, can be one of D,B,O,X,L
% find blanks, read value read mode read focal_set
% eliminating blank before and after
text_line = strrep(text_line,';',''); % get rid of ; added everywhere
txt = ddblank(text_line) ; % no begin and end blanks

ind_blk = findstr(' ',txt);
belief(ind_bel).bp(ind_pot).form(ind_for).values = ...
[belief(ind_bel).bp(ind_pot).form(ind_for).values ;...
str2num(txt(1:ind_blk(1)-1))] ;

ntxt = txt(ind_blk(1):length(txt)); % get rid of value, ntext = string with mode, focal set
ntxt = ddblank(ntxt);
mode_foset = ntxt(1);
ntxt(1) = [];
ntxt = ddblank(ntxt);
% multiline instruction already handled when building a line: see line_inst
% in funtion batch_mode

% input for long_number_conv = str if o,x,l, decimal if d and a vector of 0 1 if b
% ntxt is a string		
switch upper(mode_foset) 
case 'D'		
	convinput = str2num(ntxt);
case 'B'
	% we get bits by group of 10, we elmiminate the spaces
	nntext = strrep(ntxt,' ','');
	% a long string of 0 1 to be put as a vector
	nntext = strrep(ntxt,'0','0 ');
	nntext = strrep(nntext,'1','1 ');
	% we put a space behind each 0 and each 1
	convinput = str2num(nntext); % convinput is vector with numercial 0's and 1's elements
case {'O','X'}
	convinput = strrep(ntxt,' ','');
case 'L'
	convinput = ddblank(ntxt);
end

iconv = length(belief(ind_bel).bp(ind_pot).form(ind_for).log_expr) + 1 ;
if strcmp(upper(mode_foset),'L')		
	belief(ind_bel).bp(ind_pot).form(ind_for).log_expr{iconv} = convinput;
else
	belief(ind_bel).bp(ind_pot).form(ind_for).log_expr{iconv} = '';
end

card = prod(belief(ind_bel).domain_cardinality);
parameter(1) = ind_bel;
parameter(2) = ind_pot;
parameter(3) = ind_for;
parameter(4) = length(belief(ind_bel).bp(ind_pot).form(ind_for).values);

belief(ind_bel).bp(ind_pot).form(ind_for).focal_sets = [...
belief(ind_bel).bp(ind_pot).form(ind_for).focal_sets  ; ...
long_number_conv(convinput,mode_foset,'d', card, parameter)  ];
