% variable_case

switch upper(text_line(1:4))
case 'VSHN'
	variable(ind_var).short_name = ddblank(VSHN);
	variable(ind_var).full_name = VSHN;
case 'VFLN'
	variable(ind_var).full_name = VFLN;
case 'VATT'	
	VATT = attribute(find(strcmp({attribute(:).short_name},ddblank(VATT)))).number;
	if length(VATT) ~= 1
		disp('variable index asks for an inexisting or ambiguous attribute')
		ok = 0;
	end
	variable(ind_var).attribute = VATT;
case 'VFRM'
	VFRM = frame(find(strcmp({frame(:).short_name},ddblank(VFRM)))).number;
	if length(VFRM) ~= 1
		disp('variable asks for an inexisting or ambiguous frame')
		ok = 0;
	end
	variable(ind_var).frame = VFRM;
case 'VINX'
	variable(ind_var).index_value = VINX;
case 'FINI' % for finish_it
	% create a new structure for that frame and a new attribute for that structure 
	ind_str = make_empty('structure');
	structure(ind_str).short_name = ['S',variable(ind_var).short_name];
	structure(ind_str).full_name = ['S',variable(ind_var).full_name];
	structure(ind_str).most_refined = variable(ind_var).frame;
	useless = pin_manipulation('structure','all',[]);
	ind_att = make_empty('attribute');
	attribute(ind_att).short_name = ['A',variable(ind_var).short_name];
	attribute(ind_att).full_name = ['A',variable(ind_var).full_name];
	attribute(ind_att).structure = structure(ind_str).number;
	useless = pin_manipulation('attribute','all',[]);
	variable(ind_var).attribute = attribute(ind_att).number;
otherwise 
	ok = 0;
end	
