% ch_fr_case : marginalization and vauous expension

%
%   Version : Nov 21,03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

switch upper(text_line(1:4))
case 'BSHN'
	flagstr{1} = BSHN;
	flagstr{2} = BSHN;
case 'BFLN'
	flagstr{2} = BFLN;
case 'BELF' 
	% do they exist
	if isempty(BELF)
		hdw = warndlg('error in batch mode, change_frame without belief. I crash.')
		uiwait(hdw)
		boum
	else
		ind_bel_old = find_field('belief','short_name',ddblank(BELF{1}));
		if length(ind_bel) ~= 1 %| ind_bel == 0
			hdw = warndlg('In chanbfe_frame, the list BELF is not correct (one belief short name). Expect a crash.')
			uiwait(hdw)
		end
	end
	flags(1) = ind_bel_old;
	
case 'PVAR' % this is what executes the combination operation
	% get list new variables, input = short_name, ind_var = index variables requested
	
	% just to be sure variable pin is OK
	useless = pin_manipulation('variable','all',[]);
	for i = 1:length(PVAR)
		ind_var(i) = find_field('variable','short_name',ddblank(PVAR{i}));
	end

	ind_bel_old = flags(1);
	% must be m M wc wd only
	pos_type = {'m','M','wc','wd','w'};
	ok = 0;
	i = 0;
	while ok == 0
		i = i + 1;
		if i > length(pos_type)	
			ok = 1;
			hdw = warndlg('I annot change frame. Missing one of m,M,wc,wd.')
			uiwait
		else
			out_type_ind = find_sub_field(belief(ind_bel_old).bp(1),'form','type',pos_type{i});			
			if ~isempty(out_type_ind)
				out_type = pos_type{i};
				ok = 1;
			end
		end
	end

	if ~isempty(out_type)		
		%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		%
		frame_change(ind_bel_old,1,out_type,ind_var);
		%
		%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		belief(length(belief)).short_name = flagstr{1};
		belief(length(belief)).full_name = flagstr{2};
		
	end
end
