function run_quit_init_all_objects(option)
% quitting tbm_machine, back to MATLAB Command Window

% option = anything   means super quit, thus confirm and I crash (ugly but efficient)
% If nargin = 0, normal elegant quit (from main menu)
% If nargin = 1, boum (crash)

%
%   Version : Dec 1,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global flag_str  Help_handle  proceed_with_tbm gui_settings

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% quitting the TBMLAB_program with a confirmation. 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


[index_fig, hd_fig] = handling_all_figures('put_in_front',{'Root Window'});
Help_handle =  hd_fig(1);

text = ' Confirm quit.';
[choice] = text_with_n_buttons(Help_handle, text, {'OK','Cancel'}, [0 0 0 0]);


if choice == 1
	% reset default
	set(0,'DefaultFigureCloseRequestFcn','closereq')
	hd = findobj('type','figure');
	for i = 1:length(hd)
		figure(hd(i));
		closereq
	end
	disp(' ')
	disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
	disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
	disp(' ')	
	disp('Thank you for using TBMLAB.')
	disp(' ')
	disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
	disp('XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX')
	disp(' ')
	proceed_with_tbm = 0;
	% clear global may not be here otherwise I loose proceed_with_tbm 
	% needed for while in back_to_menu	
	% reinitializing default of machine
	pn = gui_settings.pn_mem;
	pv0 = gui_settings.pv0_mem;
	set(0,pn,pv0);
	if nargin 		
		BOUM
	end
end
