function refresh_data(fri,frj,x_tbm_tabulator,nr,nc,handle_tbm_tabulator)
% displaying requested data in the data table after scrolling 

% top row		: [fri : fri + nc - 1]
% left column	: [frj : frj + nr - 1]'
% clear all cells with ''
% x_tbm_tabulator{fri,frj} put in cell (1,1) , x_tbm_tabulator{,} is a sftring

%
%   Version : Sept 4, 2003.
%   Copyright (c) 2003 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

% the top line
jj = frj - 1;
for j = 1:nc
	jj = jj + 1;
	set(handle_tbm_tabulator.hd_top_row(j),...
	'string',num2str(jj),...
	'HorizontalAlignment','Center');
end

% the left column
ii = fri - 1;
for i = 1:nr
	ii = ii + 1;
	set(handle_tbm_tabulator.hd_left_col(i),...
	'string',num2str(ii),...
	'HorizontalAlignment','Center');
end

% clear all cells
for i = 1:nr
	for j = 1:nc
		set(handle_tbm_tabulator.hd_data(i,j),...
		'string','');
	end
end

% put new data in displayed cells
[nrx,ncx] = size(x_tbm_tabulator);
ir = 0;
for i = fri:min(nrx,fri + nr - 1);
	ir = ir + 1;
	ic = 0;
	for j = frj:min(ncx,frj + nc - 1)
		ic = ic + 1;
		set(handle_tbm_tabulator.hd_data(ir,ic),...
		'string',x_tbm_tabulator{i,j});
	end
end
