function help_text_handles = display_helps(with_wait,list_text_index,font_name)
% displaying help texts 

% stored_text{k} for k in  list_text_index
% 		stored_text{k}{1} = 'text1'  ;  stored_text{k}{2} = 'text2' ;
%  		stored_text{k} = {'text1' 'text2'};
% end with a next button that MUST be selected

% the first parameter with_wait = 1, you get the button and you must hit it to go on
% with_wait = 0, no button, just proceed.
%           = 1, put a OK red buton that stops program

% text displayed in a fixed size pull-down window obtained as a ListBox

% text are in   init_stored_texts

%
%   Version : Dec 12,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global stored_text  
global gui_position
global skip_helps
global button_size  
global help_level 

% helps displayed

if help_level ~= 0
	
	jk=0;
	for k = list_text_index
		for i = 1:length(stored_text{k})
            jk=jk+1;
			text{jk} = stored_text{k}{i};
		end;
		jk=jk+1;
		text{jk} = ' ';
	end

	[index_fig, hd_fig] = handling_all_figures('put_in_front',{'Root Window'});
	
	if nargin == 3
		font_name_mem = get(hd_fig(1),'DefaultuicontrolFontName');
		set(hd_fig(1),'DefaultuicontrolFontName',font_name);
	end

	pos_mem = get(hd_fig(1),'position'); % I'll  put window back at original place when thru
	
	help_text_handles(1) = display_scrolling_text(hd_fig(1),gui_position(:,3),text);
	
	% I add a button if wait asked for
	if with_wait
		posFig = get(hd_fig(1),'Position');
		height_but= min(button_size(2)/posFig(4),.99)  ; % .05; 
		width_but = min(button_size(1)/posFig(3),.99)  ; %(position(3)-4*left_margin)/3;
		
		posit = gui_position(:,3);
		posit(1) = gui_position(1,3) + gui_position(3,3)/2 - width_but/2;
		posit(2) = gui_position(2,4);
		posit(3) = width_but;
		posit(4) = height_but;
		
		help_text_handles(2) = uicontrol(hd_fig(1),...
		'Style','pushbutton',...
		'Position', posit,...
		'String','OK',...
		'BackgroundColor',[1 0 0],...
		'Callback','uiresume');
		
		figure(hd_fig(1));
		uiwait(hd_fig(1)); % you MUST hit    OK    to go on
	end
	if nargin == 3
		set(hd_fig(1),'DefaultuicontrolFontName',font_name_mem);
	end
else
	% I build a fake uicontrol just be be able to delete it later
	[index_fig, hd_fig] = handling_all_figures('put_in_front',{'Root Window'});
	pos_mem = get(hd_fig(1),'position'); % I'll  put window back at original place when thru
	[index_fig, hd_fig] = handling_all_figures('put_in_front',{'Root Window'});
	help_text_handles(1) = uicontrol(hd_fig(1),...
	'Position',[.001 .001 .001 .001],...
	'Style','text',...
	'String',' ');
end	

set(hd_fig(1),'position',pos_mem)
