function [Text_Wrapped ,height_text] = height_of_wrapped_text(text,width,figure_handle)
% getting the wrapped text and 
% computing the height required to display the text after wrapping

%
%   Version : Dec 1,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

% fake ui_positions only to compute text height
position=	[.5 .5  width .2 ];
htext = uicontrol('Parent',figure_handle, ...
	'Position',position,...
	'Style','text','visible','off');	
[Text_Wrapped , posit]  = protected_textwrap(htext,text);
height_text = 	1.002 * posit(4)  ; % here I know real text height
% the *1.002 is to get the legs of p,q,j,g...
delete(htext)
