function callback_CR_edit
% the call back from on edit field in uicontrol that states that return was hit
% any click when pointer outside edit area is not considered
% keyhit = 1 if pointer in box and hit key = CR, else = 0.

%
%   Version : Feb 18,03
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global keyhit

ploc = get(0,'PointerLocation');
fpos = get(gcf,'position');
opos = get(gco,'position');

pos(1) = fpos(1) + opos(1)*fpos(3);
pos(2) = fpos(2) + opos(2)*fpos(4);
pos(3) = opos(3)*fpos(3);
pos(4) = opos(4)*fpos(4);
% pos is the position of the object in pixel

keyhit = 0;

% any hit outside the gco is not accpeted. I want only return to be accepted
if  ploc(1) >= pos(1)   & ploc(1) <= pos(1)+pos(3) &...
	ploc(2) >= pos(2)   & ploc(2) <= pos(2)+pos(4)
	% pointer is in the box
	keyhit = 1;
	
% 	key = get(gcf,'CurrentCharacter');
% 	if strcmp(key,char(13)) % return
% 		keyhit = 1;
% 	end
% appararently no need to check if Return as key = []
% due to gco is style = edit
end

