function callback_key_hit
% callback fct fopr the KeyPressFcn used in text_with_n_buttons, or ...
% used to check if key RETURN or ESC has been hit.

% beawre it seems hitting a button induces also a return
% for edit in uicontrol , the calback goes thru callback_CR_edit
% which make keyhit = 1 if return hit at end of entered text

%
%   Version : Mar 16,03.
%   Copyright (c) 2003 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global keyhit

keyhit = 0;
key = get(gcf,'CurrentCharacter');

% set(gcf,'CurrentCharacter',''); % not alolowed as read only property
% double(key)

if strcmp(key,char(13)) % return
	keyhit = 1;
elseif strcmp(key,char(27))  % escape
	keyhit = 2;
elseif strcmp(key,char(8))  % erase
	keyhit = 3;
end

% double(key) % show its numerical code
