function handle_out = build_uimenu(handle, menu_label,clb_fct,father)
% building the callback for each menu, using try... catch

%
%   Version : Dec 8,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global crash_option  pull_down_menu
% getting the Root Window so menus are attached to it
[index_fig, hd_fig] = handling_all_figures('put_in_front',{'Root Window'});

get_help_fig = ['figure(',num2str(hd_fig(1)), ')'];

if crash_option
	
	pars1 = 'delete(findobj(''Userdata'',''I_am_iddle''));menu_off;try;';
	pars3 = [';',get_help_fig,';menu_on;uiresume;catch;crash_closing('''];
	% I tried [mem_db iwrks]=dbstack;fprintf(1,''COUV %5i %5i'',[size(mem_db)]);
	% dbstack is empty behind the catch.
	
	pars4 = ''');end;';
	clb = [pars1, clb_fct, pars3,menu_label,pars4];	
else
	% I don't use try catch
	pars1 = 'delete(findobj(''Userdata'',''I_am_iddle''));menu_off;';
	pars4 = [';',get_help_fig,';menu_on;uiresume;'];
	clb = [pars1, clb_fct,pars4];
end

handle_out = uimenu(handle,'Label',menu_label,'Callback',clb);

ind = length(pull_down_menu) + 1;
pull_down_menu(ind).label = menu_label;
pull_down_menu(ind).status = 1;
pull_down_menu(ind).hd = handle_out;
pull_down_menu(ind).fig_parent = 'Root Window';
pull_down_menu(ind).father = father;
