function dong(value,nbr_dong)
% make a sound nbr_dong times with 5 possible values value = 1... 5

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


% dong = one lowest
% dong(n) = level n (1...3)

if nargin == 0
	nbr_dong = 1; value = 1;
elseif nargin == 1
	nbr_dong = 1; value = min(value,5);
end


fq = 8000;
tmem = 2*pi*[0:799]/fq;

f_value_mem = [900 1000 1200 1336 1400];
f_value = f_value_mem(value);
t = sum( sin([697 ;f_value]*tmem(1:800)))'/4;

for i = 1:nbr_dong
	eval('playsnd(t,fq,16);','');
	% so if playsnd does not exist, still OK, except no dong
end
